## com.puppycrawl.tools.checkstyle.api
Class LineColumn

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.LineColumn

All Implemented Interfaces:
  Comparable<LineColumn>

    public class LineColumn

extends Object
implements Comparable<LineColumn>

Immutable line and column numbers.

Author:
  Martin von Gagern

Constructor Summary
`LineColumn(int aLine, int aCol)` Constructs a new pair of line and column numbers.

Method Summary
`int` `compareTo(LineColumn aLineColumn)`
`int` `getColumn()`
`int` `getLine()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineColumn

    public LineColumn(int aLine,
                      int aCol)

  Constructs a new pair of line and column numbers.

  Parameters:
    `aLine` - the one-based line number
    `aCol` - the zero-based column number

Method Detail

### getLine

    public int getLine()

  Returns:
    the one-based line number

### getColumn

    public int getColumn()

  Returns:
    the zero-based column number

### compareTo

    public int compareTo(LineColumn aLineColumn)

  Specified by:
    `compareTo` in interface `Comparable<LineColumn>`

Copyright © 2001-2011. All Rights Reserved.